package sun.awt;

import java.awt.peer.ComponentPeer;
import sun.java2d.pipe.Region;
import java.awt.Rectangle;
import java.awt.peer.ContainerPeer;
import java.awt.AWTException;
import java.awt.BufferCapabilities;
import java.awt.image.VolatileImage;
import java.awt.Insets;
import java.awt.Point;
import java.awt.image.ImageObserver;
import java.awt.Image;
import java.awt.image.ImageProducer;
import java.awt.Component;
import java.awt.Cursor;
import java.awt.Color;
import java.awt.FontMetrics;
import java.awt.Font;
import java.awt.GraphicsConfiguration;
import java.awt.image.ColorModel;
import java.awt.Dimension;
import java.awt.AWTEvent;
import java.awt.Event;
import java.awt.event.PaintEvent;
import java.awt.Graphics;
import java.awt.peer.PanelPeer;
import java.awt.peer.CanvasPeer;
import java.awt.peer.LightweightPeer;

public class NullComponentPeer implements LightweightPeer, CanvasPeer, PanelPeer
{
    public NullComponentPeer() {
    }
    
    @Override
    public boolean isObscured() {
        return false;
    }
    
    @Override
    public boolean canDetermineObscurity() {
        return false;
    }
    
    @Override
    public boolean isFocusable() {
        return false;
    }
    
    @Override
    public void setVisible(boolean b) {
    }
    
    public void show() {
    }
    
    public void hide() {
    }
    
    @Override
    public void setEnabled(boolean b) {
    }
    
    public void enable() {
    }
    
    public void disable() {
    }
    
    @Override
    public void paint(Graphics graphics) {
    }
    
    public void repaint(long n, int n2, int n3, int n4, int n5) {
    }
    
    @Override
    public void print(Graphics graphics) {
    }
    
    @Override
    public void setBounds(int n, int n2, int n3, int n4, int n5) {
    }
    
    public void reshape(int n, int n2, int n3, int n4) {
    }
    
    @Override
    public void coalescePaintEvent(PaintEvent paintEvent) {
    }
    
    public boolean handleEvent(Event event) {
        return false;
    }
    
    @Override
    public void handleEvent(AWTEvent awtEvent) {
    }
    
    @Override
    public Dimension getPreferredSize() {
        return new Dimension(1, 1);
    }
    
    @Override
    public Dimension getMinimumSize() {
        return new Dimension(1, 1);
    }
    
    @Override
    public ColorModel getColorModel() {
        return null;
    }
    
    @Override
    public Graphics getGraphics() {
        return null;
    }
    
    @Override
    public GraphicsConfiguration getGraphicsConfiguration() {
        return null;
    }
    
    @Override
    public FontMetrics getFontMetrics(Font font) {
        return null;
    }
    
    @Override
    public void dispose() {
    }
    
    @Override
    public void setForeground(Color color) {
    }
    
    @Override
    public void setBackground(Color color) {
    }
    
    @Override
    public void setFont(Font font) {
    }
    
    @Override
    public void updateCursorImmediately() {
    }
    
    public void setCursor(Cursor cursor) {
    }
    
    public boolean requestFocus(Component component, boolean b, boolean b2, long n, CausedFocusEvent.Cause cause) {
        return false;
    }
    
    public Image createImage(ImageProducer imageProducer) {
        return null;
    }
    
    @Override
    public Image createImage(int n, int n2) {
        return null;
    }
    
    public boolean prepareImage(Image image, int n, int n2, ImageObserver imageObserver) {
        return false;
    }
    
    public int checkImage(Image image, int n, int n2, ImageObserver imageObserver) {
        return 0;
    }
    
    public Dimension preferredSize() {
        return this.getPreferredSize();
    }
    
    public Dimension minimumSize() {
        return this.getMinimumSize();
    }
    
    @Override
    public Point getLocationOnScreen() {
        return new Point(0, 0);
    }
    
    @Override
    public Insets getInsets() {
        return this.insets();
    }
    
    @Override
    public void beginValidate() {
    }
    
    @Override
    public void endValidate() {
    }
    
    public Insets insets() {
        return new Insets(0, 0, 0, 0);
    }
    
    public boolean isPaintPending() {
        return false;
    }
    
    @Override
    public boolean handlesWheelScrolling() {
        return false;
    }
    
    @Override
    public VolatileImage createVolatileImage(int n, int n2) {
        return null;
    }
    
    @Override
    public void beginLayout() {
    }
    
    @Override
    public void endLayout() {
    }
    
    @Override
    public void createBuffers(int n, BufferCapabilities bufferCapabilities) throws AWTException {
        throw new AWTException("Page-flipping is not allowed on a lightweight component");
    }
    
    @Override
    public Image getBackBuffer() {
        throw new IllegalStateException("Page-flipping is not allowed on a lightweight component");
    }
    
    @Override
    public void flip(int n, int n2, int n3, int n4, BufferCapabilities.FlipContents flipContents) {
        throw new IllegalStateException("Page-flipping is not allowed on a lightweight component");
    }
    
    @Override
    public void destroyBuffers() {
    }
    
    @Override
    public boolean isReparentSupported() {
        return false;
    }
    
    @Override
    public void reparent(ContainerPeer containerPeer) {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public void layout() {
    }
    
    public Rectangle getBounds() {
        return new Rectangle(0, 0, 0, 0);
    }
    
    @Override
    public void applyShape(Region region) {
    }
    
    @Override
    public void setZOrder(ComponentPeer componentPeer) {
    }
    
    @Override
    public boolean updateGraphicsData(GraphicsConfiguration graphicsConfiguration) {
        return false;
    }
    
    @Override
    public GraphicsConfiguration getAppropriateGraphicsConfiguration(GraphicsConfiguration graphicsConfiguration) {
        return graphicsConfiguration;
    }
}
